<?php
	
	class actionUnfinderArch extends cmsAction{
		
		public function run(){
			
			$user = cmsUser::getInstance();
			
			$template = cmsTemplate::getInstance();
			
			if (!$user->is_admin) { cmsCore::error404(); }       
			
			$form = $this->getForm('arch');
			
			$template->addBreadcrumb('Архивировать и скачать');
			$options = cmsController::loadOptions($this->name);
			$errors = false;
			
			if ($this->request->has('submit')){
				
				$options = $form->parse($this->request, true);
				$errors  = $form->validate($this, $options);
				
				if (!$errors){
					$arch = $this->zip();
					if ($arch){
						cmsUser::addSessionMessage('<a href="/deleted.zip"> Скачать архив </a>');
						}   else {
						cmsUser::addSessionMessage('Скачивать нечего', 'error');
					}
				}
				
				
				
				if ($errors){
					
					cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
					
				}
				
				
			}
			
			$template = cmsTemplate::getInstance();
			return $template->render('backend/arch', array(
            'form' => $form,
            'options' => $options,
            'errors' => $errors
			));
			
		}
		
		
		
	}
