<?php

class actionUnfinderFiles extends cmsAction{

    public function run(){

		$template = cmsTemplate::getInstance();
        
        $form = $this->getForm('files');
        
		$template->addBreadcrumb('Поиск файлов');
        $options = array();
        $errors = false;
        
        if ($this->request->has('submit')){

            $options = $form->parse($this->request, true);
            $errors = $form->validate($this, $options);

            if (!$errors){
                $files = $this->getFiles();
				if (!empty($files)){
				$this->redirectToAction('compare');
				}
            }

            if ($errors){
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
			
			

        }
		

        
        return $template->render('backend/files', array(
            'form' => $form,
            'options' => $options,
            'errors' => $errors
        ));

    }

    

}