<?php

class actionUnfinderLinks extends cmsAction{

		public function run(){
			
			$user = cmsUser::getInstance();
			
			if (!$user->is_admin) { cmsCore::error404(); }       
			
			$template = cmsTemplate::getInstance();
			
			$form = $this->getForm('links');
			
			$template->addBreadcrumb('Поиск ссылок');
			$options = array();
			$errors = false;
			
			if ($this->request->has('submit')){
				
				$options = $form->parse($this->request, true);
				$errors = $form->validate($this, $options);
				
				if (!$errors){
					$links = $this->getLinks();
					cmsUser::addSessionMessage('Найдено ссылок: '.$links, 'success');
					if (!empty($links)){
						$this->redirectToAction('files');
					}
				}
				
				if ($errors){
					cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
				}
				
				
				
			}
			
			
			
			return $template->render('backend/links', array(
            'form' => $form,
            'options' => $options,
            'errors' => $errors
			));
			
		}
		
	}
